Pass Templates
Show Pass Template (Deprecated)
deprecated
Retrieve a Pass Template by ID (This endpoint is deprecated)
GET
/
api
/
v1
/
pass_templates
/
{pass_template_uuid}
Show Pass Template
curl --request GET \
--url https://api.passentry.com/api/v1/pass_templates/{pass_template_uuid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.passentry.com/api/v1/pass_templates/{pass_template_uuid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.passentry.com/api/v1/pass_templates/{pass_template_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "f0af94dc3c69a80cee32c173",
"type": "passTemplate",
"attributes": {
"backgroundColor": "#EFEFEF",
"name": "Summer Sale 2023",
"description": "Summer Sale Pass",
"labelColor": "#FF8477",
"textColor": "#29323A",
"templateType": "storeCard",
"header": {
"header_one": {
"id": "name",
"label": "Name",
"default_value": null
},
"header_two": {
"id": null,
"label": null,
"default_value": null
},
"header_three": {
"id": null,
"label": null,
"default_value": null
}
},
"primary": {
"primary_one": {
"id": "attendee",
"label": "Attendee",
"default_value": null
},
"primary_two": {
"id": null,
"label": null,
"default_value": null
}
},
"secondary": {
"secOne": {
"id": "address",
"label": "Address",
"default_value": null
},
"secTwo": {
"id": null,
"label": null,
"default_value": null
},
"secThree": {
"id": null,
"label": null,
"default_value": null
}
},
"auxiliary": {
"auxOne": {
"id": "dob",
"label": "DOB",
"default_value": null
},
"auxTwo": {
"id": null,
"label": null,
"default_value": null
},
"auxThree": {
"id": null,
"label": null,
"default_value": null
}
},
"backFields": {
"backOne": {
"id": "website",
"label": "Website",
"default_value": null
},
"backTwo": {
"id": null,
"label": null,
"default_value": null
},
"backFive": {
"id": null,
"label": null,
"default_value": null
},
"backFour": {
"id": null,
"label": null,
"default_value": null
},
"backThree": {
"id": null,
"label": null,
"default_value": null
}
}
}
}
}{
"errors": [
"Access denied"
]
}{
"errors": [
"Pass template not found"
]
}Was this page helpful?
Previous
Create Pass TemplatePass Templates are created asynchronously and the response will return a 202 status code. Use the URL returned in the response to check the status of the pass template.
Next
⌘I
Show Pass Template
